---
title: MediaStreamTrack.remote
slug: Web/API/MediaStreamTrack/remote
tags:
  - Deprecated
  - MediaStreamTrack
  - Property
  - Read-only
  - Reference
  - WebRTC
---
<div>{{APIRef("Media Capture and Streams")}}{{deprecated_header}}</div>

<p>The <code><strong>MediaStreamTrack.remote</strong></code> read-only property allows Javascript to know whether a WebRTC MediaStreamTrack is from a remote source or a local one. It returns a {{domxref("Boolean")}} with a value of <code>true</code> if the track is sourced remotely (that is, sourced by an {{domxref("RTCPeerConnection")}}), or <code>false</code> if it is sourced locally.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>bool</em> = <em>track</em>.remote;</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStreamTrack.remote")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC">WebRTC</a></li>
</ul>
